Subject: bug#20688: "make check" fails on Fedora 21 x86-64

From: Glenn Morris <[email-masked]>
Date: Fri, 29 May 2015 03:05:19 -0400

Paul Eggert wrote:

> I hardly ever run "make check", as it always fails for me and always
> has on Fedora 21 x86-64.  I'm tempted to remove the offending tests as
> I don't understand them and haven't had the patience to figure out why
> they fail.

vc-test-rcs04-checkout-model has never passed, even when it was introduced.
If it was an attempt to motivate some VC progress, it hasn't worked.
IMO it should be marked as expected-failure, or commented out.

file-notify-test03-autorevert sometimes works for me and sometimes it
doesn't. I don't know why. Anyway, that's http://debbugs.gnu.org/20392 .

> Plus, the tests take too long.

And they smell bad!

Less flippantly, IME it's one or two tramp tests that are slow (almost
as slow as all the others put together). Perhaps some tests should be
labelled as slow somehow and not run by a standard `make check',
only by `make check-all' or somesuch.